﻿using DIMultipleImplementationOfServiceAutofacCore3.Services;
using Microsoft.AspNetCore.Mvc;


namespace DIMultipleImplementationOfServiceAutofacCore3.Controllers
{
    [ApiController]
    [Route("[controller]")]
    // This controller and its dependencies are handled by the serviceCollection.
    public class ProductsController : ControllerBase
    {
        private readonly IProductsService _productsService;

        public ProductsController(IProductsService productsService)
        {
            _productsService = productsService;
        }
        [HttpGet]
        public ActionResult Get()
        {
            return Ok($"{_productsService.ProductCount()} (dependency loaded by service collection)");
        }
    }
}
