﻿using DIMultipleImplementationOfServiceAutofacCore21.Services;
using Microsoft.AspNetCore.Mvc;

namespace DIMultipleImplementationOfServiceAutofacCore21.Controllers
{
    [ApiController]
    [Route("[controller]")]
    public class NegativeValuesController : ControllerBase
    {
        private readonly IValuesService _valuesService;
        public NegativeValuesController(IValuesService valuesService)
        {
            _valuesService = valuesService;
        }

        [HttpGet]
        public ActionResult Get()
        {
            return Ok($"{_valuesService.GetValue()} (dependency loaded by Autofac: {_valuesService.GetType().Name})");
        }
    }
}
