﻿using DIMultipleImplementationOfServiceAutofacCore3.Services;
using Microsoft.AspNetCore.Mvc;

namespace DIMultipleImplementationOfServiceAutofacCore3.Controllers
{
    [ApiController]
    [Route("[controller]")]
    public class PositiveValuesController : ControllerBase
    {
        private readonly IValuesService _valuesService;
        public PositiveValuesController(IValuesService valuesService)
        {
            _valuesService = valuesService;
        }

        [HttpGet]
        public ActionResult Get()
        {
           return Ok($"{_valuesService.GetValue()} (dependency loaded by Autofac)");
        }
    }
}
